package org.dromara.system.service;

import org.dromara.system.domain.SysArea;
import org.dromara.system.domain.vo.SysAreaVo;
import org.dromara.system.domain.bo.SysAreaBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 区域Service接口
 *
 * @author LionLi
 * @date 2024-04-18
 */
public interface ISysAreaService {





    /**
     * 查询区域
     */
    SysAreaVo queryById(Long areaId);

    /**
     * 查询区域列表
     */
    TableDataInfo<SysAreaVo> queryPageList(SysAreaBo bo, PageQuery pageQuery);



    /**
     * 查询区域列表
     */
    List<SysAreaVo> queryList(SysAreaBo bo);

    /**
     * 新增区域
     */
    Boolean insertByBo(SysAreaBo bo);

    /**
     * 修改区域
     */
    Boolean updateByBo(SysAreaBo bo);

    /**
     * 校验并批量删除区域信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
